$(document).ready(function(){

	$.ajaxSetup({

	headers: {

        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

    }});



    $('#nueva-dependencia').click(function(){

      carga();

		$.ajax({

			url: 'dependencia',

			type: 'GET',

			dataType: 'html',

		}).done(function(e){

			$('#page-wrapper').html(e);

			nuevoRegistro();

			

		}).fail(function(e){
      if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}
        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

          finaliza_carga();

      });

	

	});



	$('#listado-dependencia').click(function(){

    carga();

		$.ajax({

			url: 'dependencia-index',

			type: 'GET',

			dataType: 'html',

		}).done(function(e){

			$('#page-wrapper').html(e);

			consulta();

			modificar();

			actualizar();

			eliminar();

			

		}).fail(function(e){
      if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

          finaliza_carga();

      });

	

	});



	function consulta(){

		$('.btn-consulta').click(function() {

      carga();

      

      var id1 = $(this).data('id1');

       $.ajax({

                url: 'dependencia/'+id1,

                type: 'GET',

                data:{id: id1},

                dataType: 'JSON',

              })

       .done(function(data){        

        if ((data.errors)) {

                      $('.modal-title').text('Dependencia - Consulta');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {

                      $('.modal-title').text('DEPENDENCIA - Consulta');

                      $('#id_show').val(data.id_dep);

                      $('#nombre_show').val(data.nombre_dep);

                      $('#titular_show').val(data.titular_dep);

                      $('#puesto_show').val(data.cargo_dep);

                      $('#telefono_show').val(data.telefono_dep);

                      $('#domicilio_show').val(data.domicilio_dep);

                      $('#email_show').val(data.email_dep);

                      var start=new Date(data.inicioconvenio_dep);
                      var startf = start.toISOString().slice(0,10);
                      console.log(startf);
                      $('#inicioconvenio_show').val(startf);
                      var start=new Date(data.terminoconvenio_dep);
                      var startf = start.toISOString().slice(0,10);
                      $('#terminoconvenio_show').val(startf);

                      $('#consultaModal').modal('show');

                   }

                   



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');   

       }).always(function(){

        finaliza_carga();

      });



    });



	}



	function modificar(){

		$('.btn-modificar').click(function() {

      carga();

      

      var id2 = $(this).data('id2');

       $.ajax({

                url: 'dependencia/'+id2+'/edit',

                type: 'GET',

                data:{id: id2},

                dataType: 'JSON',

              })

       .done(function(data){

        if ((data.errors)) {

                      $('.modal-title').text('DEPENDENCIA - Modificar');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {

                      $('.modal-title').text('DEPENDENCIA - Modificar');

                      $('#id_mod').val(data.id_dep);

                      $('#nombre_mod').val(data.nombre_dep);

                      $('#titular_mod').val(data.titular_dep);

                      $('#puesto_mod').val(data.cargo_dep);

                      $('#telefono_mod').val(data.telefono_dep);

                      $('#domicilio_mod').val(data.domicilio_dep);

                      $('#email_mod').val(data.email_dep);
                      $('#inicio_convenio').val(data.inicioconvenio_dep);
                      $('#termino_convenio').val(data.terminoconvenio_dep);

                      $('#modificarModal').modal('show');

                   }

                   



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');   

       }).always(function(){

        finaliza_carga();

      });



    });







	}



	function actualizar(){

		$('.btn-actualizar').click(function() {

      carga();

      var f=document.querySelector("#formModificar");

      var idMod = f.id_mod.value;

      var nombreMod = f.nombre_mod.value;

      var titularMod = f.titular_mod.value;

      var puestoMod = f.puesto_mod.value;

      var telefonoMod = f.telefono_mod.value;

      var domicilioMod = f.domicilio_mod.value;

      var emailMod = f.email_mod.value;

      $('#errorNombre').html('');

        $('#errorTitular').html('');

        $('#errorPuesto').html('');

        $('#errorDomicilio').html('');

        $('#errorTelefono').html('');

        $('#errorCorreo').html('');



      //console.log(idMod);

      //console.log(titularMod);



       $.ajax({

                url: 'dependencia/'+idMod,

                type: 'PUT',

                data: $('#formModificar').serialize(),

                dataType: 'JSON',

              })

       .done(function(data){

        $('.close_dependencia').click();



        if ((data.errors)) {

                      $('.modal-title').text('DEPENDENCIA - Modificar');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {



                    document.getElementById("nombreDiv"+data.id_dep).innerHTML = data.nombre_dep;

                    document.getElementById("titularDiv"+data.id_dep).innerHTML = data.titular_dep;

                    document.getElementById("puestoDiv"+data.id_dep).innerHTML = data.cargo_dep;

                      

                      $('.modal-title').text('DEPENDENCIA - Modificar');

                      $('.mnsjPrincipal').text('Se actualizaron los datos correctamente.');

                      $('#msjModalPrincipal').modal('show'); 

                      $('#listado-dependencia').click();

                   } 



                   f.reset(); 



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('#errorNombre').html(e.responseJSON.errors.nombre_mod);

        $('#errorTitular').html(e.responseJSON.errors.titular_mod);

        $('#errorPuesto').html(e.responseJSON.errors.puesto_mod);

        $('#errorDomicilio').html(e.responseJSON.errors.domicilio_mod);

        $('#errorTelefono').html(e.responseJSON.errors.telefono);

        $('#errorCorreo').html(e.responseJSON.errors.email);

        /*$('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Corrige los errores.');

        $('#msjModalPrincipal').modal('show');   */

       }).always(function(){

        finaliza_carga();

      });







    });



    $('.close_dependencia').click(function(){

      var f=document.querySelector("#formModificar");

      f.reset();

      $('#errorNombre').html('');

        $('#errorTitular').html('');

        $('#errorPuesto').html('');

        $('#errorDomicilio').html('');

        $('#errorTelefono').html('');

        $('#errorCorreo').html('');



    });



    $('#close_dependencia').click(function(){

      var f=document.querySelector("#formModificar");

      f.reset();

      $('#errorNombre').html('');

        $('#errorTitular').html('');

        $('#errorPuesto').html('');

        $('#errorDomicilio').html('');

        $('#errorTelefono').html('');

        $('#errorCorreo').html('');



    });





	}



	function eliminar(){

		$('.btn-eliminar').click(function() {
      var id = $(this).data('id4');
      $('#id_cancelar_dependencia').val(id);
      $('#confirm_dependencia').modal({
          backdrop: 'static',
          keyboard: false
      });

    });





	}



  function nuevoRegistro(){

    $('.btn-registro').click(function() {

      carga();

      var f=document.querySelector("#registroDependencia");

      var nombre = f.nombre.value;

      var titular = f.titular.value;

      var puesto = f.puesto.value;

      var telefono = f.telefono.value;

      var domicilio = f.domicilio.value;

      var email = f.email.value;



      $('#errorNombre').html('');

        $('#errorTitular').html('');

        $('#errorPuesto').html('');

        $('#errorDomicilio').html('');

        $('#errorTelefono').html('');

        $('#errorCorreo').html('');



      //console.log(idMod);



       $.ajax({

                url: 'dependencia',

                type: 'POST',

                data:$('#registroDependencia').serialize(),

                dataType: 'JSON',

              })

       .done(function(data){

        //console.log(data);

        if ((data.errors)) {

                      $('.modal-title').text('DEPENDENCIA - Nueva');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {

                      f.reset();//Limpiar el formulario ya que se hayan guardado los datos

                      $('#errorNombre').html('');

        $('#errorTitular').html('');

        $('#errorPuesto').html('');

        $('#errorDomicilio').html('');

        $('#errorTelefono').html('');

        $('#errorCorreo').html('');

                      $('.modal-title').text('DEPENDENCIA - Nueva');

                      $('.mnsjPrincipal').text('Se guardaron los datos correctamente.');

                      $('#msjModalPrincipal').modal('show'); 

                   }  



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('#errorNombre').html(e.responseJSON.errors.nombre);

        $('#errorTitular').html(e.responseJSON.errors.titular);

        $('#errorPuesto').html(e.responseJSON.errors.puesto);

        $('#errorDomicilio').html(e.responseJSON.errors.domicilio);

        $('#errorTelefono').html(e.responseJSON.errors.telefono);

        $('#errorCorreo').html(e.responseJSON.errors.email);

        /*$('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Corrige los errores.');

        $('#msjModalPrincipal').modal('show');   */

       }).always(function(){

        finaliza_carga();

      });

    });



    $('#close_dependencia').click(function(){

      var f=document.querySelector("#registroDependencia");

      f.reset();

      $('#errorNombre').html('');

        $('#errorTitular').html('');

        $('#errorPuesto').html('');

        $('#errorDomicilio').html('');

        $('#errorTelefono').html('');

        $('#errorCorreo').html('');



    });

    



  }



	



});


  function suma_fecha() {
    var inicio=document.getElementById("inicio_convenio").value;
    if (inicio!='') {
      var start=new Date(inicio);
      if (start.getFullYear()!='0000' && start.getMonth()!='00' && start.getDate()!='00') {
        start.setFullYear(start.getFullYear()+5);
        var startf = start.toISOString().slice(0,10);
        document.getElementById("termino_convenio").value= startf;
      }
    }
  }

  function eliminar_dependencia(){
    carga();

    var id = $('#id_cancelar_dependencia').val();
      

       $.ajax({

                url: 'dependencia/'+id,

                type: 'DELETE',

                data:{id: id},

                dataType: 'JSON',

              })

       .done(function(data){

        var dependencia = data.nombre;

        if ((data.errors)) {

                      $('.modal-title').text('DEPENDENCIA - Eliminar');

                      $('.mnsjPrincipal').text('Lo sentimos ocurrió un error. Vuelve a intentarlo.');

                      $('#msjModalPrincipal').modal('show');                      

                   } else {

                    div = document.getElementById(data.id_dep);

                    div.style.display = 'none'; 

                      $('.modal-title').text('DEPENDENCIA - Eliminar');

                      $('.mnsjPrincipal').text('La Dependencia se eliminó con éxito.');

                      $('#msjModalPrincipal').modal('show');

                        

                   }

                   



       })

       .fail(function(e){
        if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');   

       }).always(function(){

        finaliza_carga();

      });
  }


  function carga(){ $('#loading').fadeIn( 400, "linear"); }

  function finaliza_carga(){ $('#loading').fadeOut( 10, "linear"); }